Name:           chromaprint-tools
Version:        0.5
Release:        2%{?dist}
Summary:        Chromaprint audio fingerprinting tools
Group:          Applications/Multimedia

License:        LGPLv2+
URL:            http://www.acoustid.org/chromaprint/
Source:         https://github.com/downloads/lalinsky/chromaprint/chromaprint-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  fftw-devel >= 3

# examples require ffmpeg
BuildRequires:  ffmpeg-devel

%description -n chromaprint-tools
Chromaprint library is the core component of the AcoustID project. It's a 
client-side library that implements a custom algorithm for extracting 
fingerprints from raw audio sources.

This is a set of Chromaprint tools related to acoustic fingerprinting, 
featuring fpcalc, an standalone AcoustID tool used by Picard.

%prep
%setup -q -n chromaprint-%{version}

%{cmake} -DBUILD_EXAMPLES=on -DBUILD_TESTS=off

%build
make %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

make install DESTDIR=%{buildroot}

# cleaning files managed in the chromaprint main package
%{__rm} -f %{buildroot}%{_includedir}/chromaprint.h
%{__rm} -f %{buildroot}%{_libdir}/pkgconfig/libchromaprint.pc
%{__rm} -f %{buildroot}%{_libdir}/lib*.la
%{__rm} -f %{buildroot}%{_libdir}/lib*.so*
%{__rm} -f %{buildroot}%{python_sitelib}/Chromaprint-*
%{__rm} -fr %{buildroot}%{python_sitelib}/chromaprint

%clean
%{__rm} -rf %{buildroot}

%files -n chromaprint-tools
%defattr(-,root,root,-)
%doc CHANGES.txt COPYING.txt NEWS.txt README.txt
%{_bindir}/fpcalc

%changelog

* Thu Nov 18 2011 Ismael Olea <ismael@olea.org> - 0.5-2
- first version for RPM-Fusion
- renaming into chromaprint-tools

* Thu Nov 10 2011 Ismael Olea <ismael@olea.org> - 0.5-1
- update to 0.5
- subpackage for fpcalc 

* Sat Aug 06 2011 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.4-1
- Initial package
